petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRefineHierarchy_Moab

Generate a multi-level DM hierarchy by succesively refining a coarse mesh.

### Synopsis

    PETSC_EXTERN PetscErrorCode  DMRefineHierarchy_Moab(DM dm, PetscInt nlevels, DM dmf[])

Collective on MPI_Comm

### Input Parameter

| dm | - The DMMoab object

### Output Parameter

| nlevels | - The number of levels of refinement needed to generate the hierarchy
| dmf | - The DM objects after successive refinement of the hierarchy

### Keywords

DMMoab, generate, refinement

### Level

beginner

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages